ALEXANDRIA(1)

NAME
alexandria - a book collection manager

SYNOPSIS
alexandria [OPTIONS]

DESCRIPTION
Alexandria is a GNOME desktop application for managing book collections. It has a simple user interface which makes it easy to enter the details of your library, generally using Internet sources to find catalogue information for your books. It also enables you to create filtered views of your book collection based on details such as author, publisher etc.

When launched without any options the Alexandria main window opens and presents a view of your libraries, or if run for the first time creates a new library ready for you to add books either manually or with the help of providers of book information on the Internet.

OPTIONS
--debug
    Print verbose debug information describing the operation of the
    program. Useful for determining behaviour when a problem is
    encountered. This also sets the logger level to DEBUG.

--version
    Show program version information and exit.

--help
    Show summary of options and exit. This also shows a great many
    predefined options common to all GTK programs which are not
    defined in this manual page.

FILES
$HOME/.alexandria
    The per-user configuration of Alexandria
    is stored in this directory. Each the books in each library are
    stored in a sub-directory with the library's name e.g. `My
    Library'. Book files are stored in YAML format (a text-based data
    format). They are named after the book's ISBN
    e.g. 9780755322800.yaml The cover images are also named after with
    book's ISBN, with the file extension .cover, although they are
    usually JPEG format files. If a book has no ISBN, it's ID will be
    a number generated from the book title.

$HOME/.alexandria/.smart_libraries
    Smart Libraries are a filtered view of your book collection, and
    are saved as YAML format files in this directory.

ENVIRONMENT
LOGLEVEL
    Setting this environment variable affects the level at which
    messages will be logged. The log levels are cumulative, setting
    the level to log information messages means it will also include
    all warnings and error messages. Possible values are:

    FATAL Only log messages for fatal errors.

    ERROR Log messages for all errors.

    WARN Log warnings and errors.

    INFO Also include information messages.

    DEBUG Log everything, including debug messages.

    The default level is WARN

BUGS
Please report any bugs you find on the Please check for any similar reports before reporting a new bug.

You can also discuss any problems you encounter with the Alexandria developers and other users by joining the

WEB SITE
News, details of the development team and further documentation may be found on the

AUTHOR
Alexandria was originally written by Laurent Sansonetti. The current maintainer is Joseph Method <tristil@gmail.com>. For a full list of contributors, see the file AUTHORS in Alexandria's documentation.

This manual page was written by Cathal Mc Ginley <cathal.alexandria@gnostai.org>.

COPYRIGHT
Copyright (C) 2004-2006 Laurent Sansonetti

Copyright (C) 2007-2010 Alexandria Contributors

LICENSE
Alexandria is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.